Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.modeshape.jcr.api.monitor
Enum ValueMetric

    java.lang.Object
      java.lang.Enum<ValueMetric>
          org.modeshape.jcr.api.monitor.ValueMetric

All Implemented Interfaces:
  Serializable, Comparable<ValueMetric>

    public enum ValueMetric

extends Enum<ValueMetric>

The metrics for which ModeShape captures statistics on running values.

Since:
  3.0

Enum Constant Summary
`EVENT_COUNT` The metric that records the number of `observation events` that have been sent to at least one listener.
`EVENT_QUEUE_SIZE` The metric that records the number of `observation events` that are in the queue and awaiting processing (and still have yet to be sent to the liseners).
`LISTENER_COUNT` The metric that records the number of `observation listeners` in existance during the window.
`NODE_CHANGES` The metric that captures the number of nodes that were created, updated, or deleted during the window as part of the `Session.save()`, `VersionManager.checkin(String)`, `Workspace.import` and other calls that change content.
`OPEN_SCOPED_LOCK_COUNT` The metric that records the number of `non-session-scoped` `JCR locks` in existance during the window.
`QUERY_COUNT` The metric that captures the number of `queries` that are executing during the window.
`SEQUENCED_COUNT` The metric that records the number of nodes that were sequenced.
`SEQUENCER_QUEUE_SIZE` The metric that records the number of nodes that were sequenced.
`SESSION_COUNT` The metric that captures the number of `sessions` that are open during the window.
`SESSION_SAVES` The metric that captures the number of `Session.save()` calls that have occurred during the window.
`SESSION_SCOPED_LOCK_COUNT` The metric that records the number of `session-scoped` `JCR locks` in existence during the window.
`WORKSPACE_COUNT` The metric that records the number of `workspaces` in existance during the window.

Method Summary
`static ValueMetric` | `fromLiteral(String literal)` Get the `ValueMetric` that has the supplied literal.
`String` | `getDescription()` Return the description for this metric.
`String` | `getLabel()` The readable label for this metric.
`String` | `getLiteral()` The literal string form of the value metric.
`boolean` | `isContinuous()` Return whether this metric's values are continuous across multiple windows.
`static ValueMetric` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static ValueMetric[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### SESSION_COUNT

    public static final ValueMetric SESSION_COUNT

  The metric that captures the number of `sessions` that are open during the window.

### QUERY_COUNT

    public static final ValueMetric QUERY_COUNT

  The metric that captures the number of `queries` that are executing during the window.

### WORKSPACE_COUNT

    public static final ValueMetric WORKSPACE_COUNT

  The metric that records the number of `workspaces` in existance during the window.

### LISTENER_COUNT

    public static final ValueMetric LISTENER_COUNT

  The metric that records the number of `observation listeners` in existance during the window.

### EVENT_QUEUE_SIZE

    public static final ValueMetric EVENT_QUEUE_SIZE

  The metric that records the number of `observation events` that are in the queue and awaiting processing (and still have yet to be sent to the liseners).

### EVENT_COUNT

    public static final ValueMetric EVENT_COUNT

  The metric that records the number of `observation events` that have been sent to at least one listener.

### SESSION_SCOPED_LOCK_COUNT

    public static final ValueMetric SESSION_SCOPED_LOCK_COUNT

  The metric that records the number of `session-scoped` `JCR locks` in existence during the window.

### OPEN_SCOPED_LOCK_COUNT

    public static final ValueMetric OPEN_SCOPED_LOCK_COUNT

  The metric that records the number of `non-session-scoped` `JCR locks` in existance during the window.

### SESSION_SAVES

    public static final ValueMetric SESSION_SAVES

  The metric that captures the number of `Session.save()` calls that have occurred during the window.

### NODE_CHANGES

    public static final ValueMetric NODE_CHANGES

  The metric that captures the number of nodes that were created, updated, or deleted during the window as part of the `Session.save()`, `VersionManager.checkin(String)`, `Workspace.import` and other calls that change content.

### SEQUENCER_QUEUE_SIZE

    public static final ValueMetric SEQUENCER_QUEUE_SIZE

  The metric that records the number of nodes that were sequenced.

### SEQUENCED_COUNT

    public static final ValueMetric SEQUENCED_COUNT

  The metric that records the number of nodes that were sequenced.

Method Detail

### values

    public static ValueMetric[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (ValueMetric c : ValueMetric.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static ValueMetric valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### getLiteral

    public String getLiteral()

  The literal string form of the value metric.

  Returns:
    the literal string form; never null or empty

### getLabel

    public String getLabel()

  The readable label for this metric.

  Returns:
    the human-readable label; never null or empty

### getDescription

    public String getDescription()

  Return the description for this metric.

  Returns:
    the description; never null or empty

### isContinuous

    public boolean isContinuous()

  Return whether this metric's values are continuous across multiple windows. In other words, the values of a continuous metric will increase and decrease over time.

  On the other hand, the values of a non-continous metric will have values that always start at zero at the beginning of a window.

  Returns:
    continuous

### fromLiteral

    public static ValueMetric fromLiteral(String literal)

  Get the `ValueMetric` that has the supplied literal.

  Parameters:
    `literal` - the literal (can be of any case); may not be null
  Returns:
    the value metric, or null if there is no ValueMetric enum value for the given literal string

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.